import React from 'react';
import SvgIcon from '@mui/material/SvgIcon';

export default props => (
  <SvgIcon viewBox="0 0 32 38" {...props}>
    <path d="M3.584 20.736c0 1.568 1.28 2.848 2.848 2.848s2.848-1.28 2.848-2.848c0-1.568-1.28-2.848-2.848-2.848s-2.848 1.28-2.848 2.848zM8.768 20.736c0 1.28-1.056 2.336-2.336 2.336-1.312 0-2.336-1.056-2.336-2.336s1.024-2.336 2.336-2.336c1.28 0 2.336 1.056 2.336 2.336zM23.392 17.888c1.568 0 2.848 1.28 2.848 2.848s-1.28 2.848-2.848 2.848-2.848-1.28-2.848-2.848c0-1.568 1.28-2.848 2.848-2.848zM34.272 27.424v2.304h-36.544v-27.456h2.272v25.152h34.272zM9.92 21.248v-0.96h9.728v0.96h-9.728zM12.992 14.24c0 1.568 1.28 2.848 2.848 2.848 1.6 0 2.88-1.28 2.88-2.848s-1.28-2.848-2.88-2.848c-1.568 0-2.848 1.28-2.848 2.848zM18.208 14.24c0 1.28-1.056 2.336-2.368 2.336-1.28 0-2.336-1.056-2.336-2.336 0-1.312 1.056-2.336 2.336-2.336 1.312 0 2.368 1.024 2.368 2.336zM28.96 11.392c1.6 0 2.848 1.28 2.848 2.848s-1.248 2.848-2.848 2.848-2.848-1.28-2.848-2.848c0-1.568 1.28-2.848 2.848-2.848zM19.36 14.752v-0.96h5.792v0.96h-5.792zM6.592 6.944c0 1.568 1.28 2.848 2.848 2.848s2.848-1.28 2.848-2.848c0-1.568-1.28-2.848-2.848-2.848s-2.848 1.28-2.848 2.848zM11.776 6.944c0 1.28-1.056 2.336-2.336 2.336s-2.336-1.056-2.336-2.336c0-1.28 1.056-2.336 2.336-2.336s2.336 1.056 2.336 2.336zM20 4.096c1.568 0 2.848 1.28 2.848 2.848s-1.28 2.848-2.848 2.848-2.848-1.28-2.848-2.848c0-1.568 1.248-2.848 2.848-2.848zM12.928 7.456v-0.96h3.264v0.96h-3.264z" />
  </SvgIcon>
);
